Skip to main content
DELETE
/
pay-link
/
{linkId}
Delete Pay Link
curl --request DELETE \
  --url https://testapi.fractalpay.com/api/v1/pay-link/{linkId} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "merchant_key": "{{merchant_key}}"
}
'
import requests

url = "https://testapi.fractalpay.com/api/v1/pay-link/{linkId}"

payload = { "merchant_key": "{{merchant_key}}" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'DELETE',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({merchant_key: '{{merchant_key}}'})
};

fetch('https://testapi.fractalpay.com/api/v1/pay-link/{linkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "result": true,
  "link_id": "ord_a64b33f04e",
  "message": "link deleted"
}
{
"result": false,
"message": "Link not found"
}

Authorizations

Authorization
string
header
required

Use your Fractal API credentials.

Username = Client ID Password = Secret Key

Sandbox credentials can be generated from the Test Portal.

Path Parameters

The link_id of the pay link to delete.

Example:

"ord_a64b33f04e"

Body

application/json
merchant_key
string
required

The merchant's unique key. Returned in the merchant_key field of the get merchants by client call.

Example:

"{{merchant_key}}"

Response

Delete Pay Link

result
boolean
Example:

true

Example:

"ord_a64b33f04e"

message
string
Example:

"link deleted"